Package org.eclipse.emf.cdo.common.revision

# Class CDORevisionUtil.AllRevisionsDumper.Stream.Plain

java.lang.Object
org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper
org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream
org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream.Plain

Enclosing class:
  CDORevisionUtil.AllRevisionsDumper.Stream

public static class CDORevisionUtil.AllRevisionsDumper.Stream.Plain extends CDORevisionUtil.AllRevisionsDumper.Stream
A `revision dumper` that directs all output as plain text to a stream.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

`CDORevisionUtil.AllRevisionsDumper.Stream.Html, CDORevisionUtil.AllRevisionsDumper.Stream.Plain`

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

`CDORevisionUtil.AllRevisionsDumper.Stream`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`pad`

## Constructor Summary

Constructors
Constructor
Description
`Plain(Map<CDOBranch,List<CDORevision>> map, PrintStream out)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dumpBranch(CDOBranch branch)`
`protected void`
`dumpEnd(List<CDOBranch> branches)`
`protected void`
`dumpRevision(CDORevision revision)`

### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

`out`

### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

`dump, dumpStart, getMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pad

public static final int pad

See Also:
  - Constant Field Values

## Constructor Details

### Plain

public Plain(Map<CDOBranch,List<CDORevision>> map, PrintStream out)

## Method Details

### dumpEnd

protected void dumpEnd(List<CDOBranch> branches)

Overrides:
  `dumpEnd` in class `CDORevisionUtil.AllRevisionsDumper`

### dumpBranch

protected void dumpBranch(CDOBranch branch)

Specified by:
  `dumpBranch` in class `CDORevisionUtil.AllRevisionsDumper`

### dumpRevision

protected void dumpRevision(CDORevision revision)

Specified by:
  `dumpRevision` in class `CDORevisionUtil.AllRevisionsDumper`